---
name: Eduardo Guillen
locality: San Antonio, Texas
country: United States
role: <a href="/job-families/marketing/sales-development-representative/">Sales Development
  Representative Enterprise</a>
reports_to: meaghanthatcher
picture: eduardoguillen.jpg
pronouns:
pronunciation:
twitter:
linkedin: eguillen2305
gitlab: guillene
departments:
- Sales Development
expertise:
story: Johns Hopkins MBA Student, Trilingual and expert air frying chef.

